Subject: Re: bug#5721: Feature request: Function that returns absolute coordinates

From: Jan Djärv <[email-masked]>
Date: Wed, 14 Jul 2010 17:22:27 +0200

YAMAMOTO Mitsuharu skrev 2010-07-02 11.15:
>>>>>> On Fri, 02 Jul 2010 09:06:49 +0200, Jan Djärv<[email-masked]>  said:
>
>> One could argue that we are always dealing with scaled pixels, and
>> absolute in this context means "absolute scaled" instead of
>> "absolute unscaled".  Can't we always use scaled coordinates?  When
>> do we need to handle unscsaled?
>
> I think major motivation to use the absolute coordinate system is to
> specify the frame location (OP's case), or to pass it to external
> programs (the SCIM case).  "Absolute unscaled" one is more suitable
> for such uses.
>

I would imagine that for frame positioning, absolute scaled would be the 
default, as top and left frame parameters should also be absolute scaled.

To pass absolute unscaled to an external program or to position on absolute 
unscaled a special functions would be needed.  But I don't think a function 
that gives window edges is the place to do that.

	Jan D.